call spQuery_Registro_Ventas_Contenido_Devolucion(1);

DROP PROCEDURE IF EXISTS spQuery_Registro_Ventas_Contenido_Devolucion;
CREATE PROCEDURE spQuery_Registro_Ventas_Contenido_Devolucion(  
	varVenta    int
  )
BEGIN
  select concat(D.id_producto,D.id_tipo) AS IDE,  D.id_producto AS CPRO, 
  CONCAT(CAST(CASE WHEN D.id_tipo='B' THEN '(B) ' ELSE '' END AS CHAR), CAST(A.descripcion AS CHAR)) AS PRODUCTO, 
  D.id_tipo as TIPO,
  D.id_um as UM,
  D.PRECIO,
  D.CANTIDAD,
  D.TOTAL,
  NULL AS DEVOL
  from _sv_venta_detalle D
  inner join _sv_producto A ON D.id_producto = A.id_producto
  where D.id_venta  = varVenta
  and D.cantidad>0;
END;